import type { _MLCLayer } from "./MLCLayer.js";
export declare class _MLCDropoutLayer extends _MLCLayer {
    static alloc(): _MLCDropoutLayer;
    static new(): _MLCDropoutLayer;
    init(): _MLCDropoutLayer;
    /**
     * @abstract Create a dropout layer @param rate A scalar float value. The probability that each element is dropped. @param seed The seed used to generate random numbers. @return A new dropout layer
     */
    static layerWithRate$seed$(rate: number, seed: number): _MLCDropoutLayer;
    /** @property rate @abstract The probability that each element is dropped */
    rate(): number;
    /** @property seed @abstract The initial seed used to generate random numbers */
    seed(): number;
}
